OS Templates

Generated on 18 Mar 2026

Base URL https://api.paperspace.com/v1

GET List OS templates

/os-templates

Fetches a list of OS templates.

Query Parameters

after string optional

Fetch the next page of results after this cursor.

limit integer 1 – 120 optional

The number of items to fetch after this page.

orderBy string, one of: name optional

Order results by one of these fields.

Default: name
order string, one of: asc, desc optional

The order to sort the results by.

Default: desc
name string optional
curl -X GET \
  "https://api.paperspace.com/v1/os-templates"

Responses

200

Successful response

hasMore boolean required

Whether there are more pages of results available.

items array of object required

The items on this page.

Show child properties
agentType string required

The type of agent installed on the template.

availableMachineTypes array of object required

The machine types the template is available on.

Show child properties
isAvailable boolean required

Whether the template is available on this machine type.

machineTypeLabel string required

The label of the machine type.

defaultSizeGb number (enum, 10 values) required Nullable

The default size of the template in gigabytes.

dtCreated string (date-time) required

The date the template was created.

id string required

The ID of the template.

name string required

The name of the template.

operatingSystemLabel string required

The operating system installed on the template.

nextPage string optional

The cursor required to fetch the next page of results. i.e. ?after=nextPage. This is null when there is no next page.

default

Error response

code string required
details object optional
message string required
{
  "hasMore": true,
  "items": [
    {
      "agentType": "string",
      "availableMachineTypes": [],
      "defaultSizeGb": 0,
      "dtCreated": "2019-08-24T14:15:22Z",
      "id": "string",
      "name": "string",
      "operatingSystemLabel": "string"
    }
  ],
  "nextPage": "string"
}
{
  "code": "string",
  "message": "string"
}

We can't find any results for your search.

Try using different keywords or simplifying your search terms.